%define rel 1
%define git f42ff3194110b8d2f16b234470e4cce1e4c13de7
%define git_common 2de221ce94b657f9c9a75aa3cc0cb84dbb5da78b
%define gstreamer_version 1.0.5

Summary: Gstreamer plugin for the FFmpeg codecs and formats
Name: gstreamer1.0-libav
Version: 1.1
Release: %mkrel -c %{git} %{rel}
Source0: http://cgit.freedesktop.org/gstreamer/gst-libav/snapshot/gst-libav-%{git}.tar.gz
Source1: http://cgit.freedesktop.org/gstreamer/common/snapshot/common-%{git_common}.tar.gz
# (cjw) remove a silly warning about system ffmpeg/libav and its 15s build delay
Patch0: gst-libav-1.0.3-sillywarning.patch
# patches 1-5 are fixed in upstream git trunk
# (cjw) fix build of 1.1.x development code with gstreamer 1.0.x
Patch6: gst-libav-git-gstreamer-1.0.x.patch
# (cjw) fix crash in audio encoder
Patch7: gst-libav-f42ff3194110b8d2f16b234470e4cce1e4c13de7-fix-audio-encoding-crash.patch
License: GPLv2+
Group: Video/Utilities
URL: http://gstreamer.freedesktop.org
Provides: gstreamer1.0-ffmpeg = %{version}-%{release}
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0) >= %{gstreamer_version}
BuildRequires: pkgconfig(gstreamer-1.0) >= %{gstreamer_version}
BuildRequires: pkgconfig(gstreamer-base-1.0) >= %{gstreamer_version}
BuildRequires: pkgconfig(gstreamer-check-1.0) >= %{gstreamer_version}
BuildRequires: pkgconfig(orc-0.4) >= 0.4.16
BuildRequires: freetype2-devel
BuildRequires: libcheck-devel
Buildrequires: yasm
%ifnarch %arm %mips
BuildRequires: valgrind
%endif
BuildRequires: libbzip2-devel
BuildRequires: ffmpeg-devel

%description
Video codec plugin for GStreamer based on the FFmpeg libraries.

%prep
%setup -q -n gst-libav-%{git} -a 1
%patch0 -p1 -b .sillywarning
%patch6 -p1 -b .gstreamer-1_0_x
%patch7 -p1 -b .crash
rmdir common
mv common-%{git_common} common
# get rid of the bundled libav
rm -rf gst-libs/ext/libav
# fool configure to see a bundled libav/ffmpeg
mkdir gst-libs/ext/libav
touch gst-libs/ext/libav/configure

%build
# (re)generate autofoo using our autotools
NOCONFIGURE=1 ./autogen.sh

%configure2_5x \
  --disable-static \
  --with-package-name='%{distribution} %name package' \
  --with-package-origin='http://www.mageia.org/' \
  --with-system-libav \
  --disable-fatal-warnings
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%files
%doc README NEWS TODO ChangeLog AUTHORS 
%{_libdir}/gstreamer-1.0/libgstlibav.so
#_libdir/gstreamer-1.0/libgstavscale.so


%changelog

* Tue Feb 26 2013 cjw <cjw> 1.1-0.f42ff3194110b8d2f16b234470e4cce1e4c13de7.1.mga3
+ Revision: 400427
- upstream git master/HEAD snapshot from 20130215 (fixes WMA decoding for applications using gstreamer 1.0, bug #8925)
- drop patches 1-5: fixed or merged upstream
- patch6: fix build with gstreamer 1.0.x
- patch7: fix crash in audio encoder
- libavscale is disabled upstream because it apparently doesn't work

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 352754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1.0.5-1.mga3
+ Revision: 343507
- new version 1.0.5

* Tue Jan 08 2013 fwang <fwang> 1.0.4-3.mga3
+ Revision: 341628
- rebuild for new ffmpeg

* Fri Jan 04 2013 cjw <cjw> 1.0.4-2.mga3
+ Revision: 338638
- patch6: fix build with automake 1.13 (from upstream git)

* Thu Dec 20 2012 cjw <cjw> 1.0.4-1.mga3
+ Revision: 333487
- 1.0.4
- patch4: separate patch to use avio for connecting libavformat muxers and demuxers to gstreamer
- patch5: add back palette support (from upstream git)

* Tue Dec 04 2012 cjw <cjw> 1.0.3-2.mga3
+ Revision: 326654
- build against system ffmpeg
- patch0: remove warning about system ffmpeg and 15s build delay
- patch1: fix build with ffmpeg 1.0

* Fri Nov 23 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 321208
- new version 1.0.3

* Thu Oct 25 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 309988
- new version 1.0.2

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 303339
- new version 1.0.0

* Mon Sep 24 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 297089
- update br
- new version 1.0.0

* Tue Sep 18 2012 fwang <fwang> 0.11.99-1.mga3
+ Revision: 295772
- new version 0.11.99

* Mon Sep 17 2012 fwang <fwang> 0.11.94-1.mga3
+ Revision: 294773
- update file list
- new version 0.11.94

* Wed Sep 05 2012 fwang <fwang> 0.11.93-1.mga3
+ Revision: 288521
- update file list
- rename to libav
- rename package
- the code now is based on libav rather than ffmpeg
- update provides
- imported package gstreamer1.0-ffmpeg

